#!/usr/bin/env bash

echo "Vim Configuration Installation Script is Running ..."

# 切换到用户根目录
cd ~

CONFIG_FILE=".vimrc"

echo "Backup .vimrc to .vimrc_Back"

TIMESTAMP=$(date "+%Y-%m-%d_%H:%M:%S")


if [ -e "$CONFIG_FILE" ]; then 
	mv .vimrc .vimrc_BACKUP_$TIMESTAMP
else
	echo ".vimrc is not existing..."
fi

CONFIGBASE=myconfig.vim


git clone http://8.130.160.147:3000/Configs/$(CONFIGBASE).git

mv $(CONFIGBASE)/.vimrc ./

rm -rf $(CONFIGBASE)

echo "Done! Finished install vim Configuration."






